<app-toobar></app-toobar>


<div class="container">

  <div class="col">
    <form class="example-form" [formGroup]="form">
      <div class="row">
        <p class="lead">Insira Endereço de Entrega</p>

      </div>

<div class="container">

  <div class="col">
    <form class="example-form" [formGroup]="form">
      <div class="row">
      <mat-form-field class="example-full-width">
         <input matInput placeholder="Cep" formControlName="cep"  required>
         <!-- <mat-error *ngIf="form.hasError('email') && !emailFormControl.hasError('required')">{{getErrorMessage()}}</mat-error> -->
      </mat-form-field>
      </div>
      <div class="row">
      <mat-form-field class="example-full-width">
          <input matInput placeholder="Rua" formControlName="rua"  required>
          <!-- <mat-error *ngIf="form.hasError('email') && !emailFormControl.hasError('required')">{{getErrorMessage()}}</mat-error> -->
       </mat-form-field>
      </div>
      <div class="row">
        <mat-form-field class="example-full-width">
          <input matInput placeholder="Numero" formControlName="numero"  required>
          <!-- <mat-error *ngIf="form.hasError('email') && !emailFormControl.hasError('required')">{{getErrorMessage()}}</mat-error> -->
       </mat-form-field>
      </div>
      <div class="row">
        <mat-form-field class="example-full-width">
          <input matInput placeholder="Complemento (Opcional)" formControlName="complemento">
          <!-- <mat-error *ngIf="form.hasError('email') && !emailFormControl.hasError('required')">{{getErrorMessage()}}</mat-error> -->
       </mat-form-field>
      </div>
      <div class="row">
        <mat-form-field class="example-full-width">
          <input matInput placeholder="Bairro" formControlName="bairro">
          <!-- <mat-error *ngIf="form.hasError('email') && !emailFormControl.hasError('required')">{{getErrorMessage()}}</mat-error> -->
       </mat-form-field>
      </div>

        <button style="background-color: black; color: white; width: 100%;" mat-raised-button (click)="registrar()">Confirmar</button>



    </form>


</div>

</div>
